Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1361905

Summary: python-django-setuptest: : Provide a Python 3 subpackage
Product: [Fedora] Fedora Reporter: Petr Viktorin (pviktori) <pviktori>
Component: python-django-setuptestAssignee: Luis Bazan <bazanluis20>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: bazanluis20, dkrejci, lbalhar, mhroncok
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-django-setuptest-0.2.1-1.fc26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-20 11:03:41 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1285816, 1333770    
Attachments:
Description Flags
add Python 3 & version update none

Description Petr Viktorin (pviktori) 2016-07-31 17:48:36 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Dominika Krejčí 2016-08-22 11:59:43 UTC
Hi Luis,
how is it going? Do you need any help?

Comment 2 Dominika Krejčí 2016-08-29 09:42:03 UTC
Created attachment 1195284 [details]
add Python 3 & version update

Hi Luis,
here is the change needed to add Python 3 support and update the version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15426132

Also tested in Mock (fedora-24-x86_64, fedora-25-x86_64, fedora-rawhide-x86_64, fedora-rawhide-i386).

Comment 3 Lumír Balhar 2016-09-12 09:54:51 UTC
Hello.

This patch looks good to me, thank you. If maintainer has nothing against, we can push this change after a week.

Comment 4 Lumír Balhar 2016-09-19 14:08:48 UTC
Hello.

I found that there are no executed tests during the build and I cannot find a solution right now. I think that your patch isn't a reason for this behavior so I think that your change can be pushed.

Comment 5 Red Hat Bugzilla 2023-09-14 03:29:00 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days